Feature: Server Start

	Acceptance testing related to server start up.

	Scenario: Default start up
		Given a server
		And it is running
		When the home page is accessed
		Then the status should be OK

	Scenario: Start using the server on another port 
		Given a server
		And port is changed to something different
		And it is running
		When the home page is accessed
		Then the status should be OK

	Scenario: Using environment variables use another port
		Given a server
		And port is changed to something different
		And environment variables are used
		And it is running
		When the home page is accessed
		Then the status should be OK

	Scenario: Start using the server on an alternate address
		Given a server
		And the address is changed
		And it is running
		When the home page is accessed
		Then the status should be OK
