"""PyTest configuration."""

from pytest import fixture
from .server import Server
from .page import Page


@fixture
def server():
    """Create a server instance."""
    serv = Server()
    yield serv
    serv.destroy()


@fixture
def page():
    """Return a page for testing."""
    return Page()


@fixture
def data_store():
    """Return a dictionary to hold between function test data."""
    return {}
